# Generated by Django 3.0.4 on 2020-08-18 00:57

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Asignatura',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('codigo_id', models.CharField(max_length=64)),
                ('nombre', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='EduUser',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('edu_id', models.CharField(max_length=64)),
                ('user_type', models.CharField(choices=[('PROFESOR', 'profesor'), ('ESTUDIANTE', 'estudiante'), ('DECANO', 'decano')], max_length=16)),
                ('nombres', models.CharField(max_length=255)),
                ('apellidos', models.CharField(max_length=255)),
                ('correo', models.CharField(blank=True, max_length=255)),
                ('celular', models.CharField(blank=True, max_length=32)),
                ('direccion', models.CharField(blank=True, max_length=64)),
            ],
        ),
        migrations.CreateModel(
            name='Facultad',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('codigo_id', models.CharField(max_length=64)),
                ('nombre', models.CharField(max_length=255)),
                ('asignaturas', models.ManyToManyField(related_name='facultad_asignatura', to='universidad.Asignatura')),
                ('decano', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='universidad.EduUser')),
            ],
        ),
        migrations.AddField(
            model_name='asignatura',
            name='estudiantes',
            field=models.ManyToManyField(related_name='estudiante_asignatura', to='universidad.EduUser'),
        ),
        migrations.AddField(
            model_name='asignatura',
            name='profersores',
            field=models.ManyToManyField(related_name='profesor_asignatura', to='universidad.EduUser'),
        ),
        migrations.AddField(
            model_name='asignatura',
            name='profesor_principal',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='universidad.EduUser'),
        ),
    ]
